Bug 1004268 - system-config-abrt should not be a separate launcher
system-config-abrt should not be a separate launcher
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 06:16 EDT by Elad Alfassa
Modified: 2013-09-22 19:50 EDT (History)
8 users (show)

See Also:
Fixed In Version: gnome-abrt-0.3.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-22 19:50:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elad Alfassa 2013-09-04 06:16:02 EDT
Ignoring the UI problems of system-config-abrt and the fact that it has some options that will confuse users without internal knowledge of the ABRT implementation details, system-config-abrt should NOT be a separate launcher in gnome. If you really want ABRT to be configurable, it would make more sense to launch system-config-abrt from within gnome-abrt.

Having two default "apps" with the same icon, and very long names that get ellipsisized by the shell ("Problem Reportin..." for system-config-abrt and "Automatic Bug Re..." for gnome-abrt) is not ideal.

My suggestion? remove the system-config-abrt launcher, and make it launchable via a menu item or a button in gnome-abrt.
Comment 1 Jiri Moskovcak 2013-09-05 05:01:33 EDT
Already fixed in git:

commit abdc93e7b8783153ef281b59b128c8862e0cf274
Author: Jakub Filak <jfilak@redhat.com>
Date:   Wed Aug 7 13:25:01 2013 +0200

    delete desktop file for system-config-abrt
    
    Related to rhbz#993591
    
    Signed-off-by: Jakub Filak <jfilak@redhat.com>
Comment 2 Fedora Update System 2013-09-13 08:58:17 EDT
gnome-abrt-0.3.1-1.fc20,abrt-2.1.7-1.fc20,libreport-2.1.7-1.fc20,satyr-0.9-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gnome-abrt-0.3.1-1.fc20,abrt-2.1.7-1.fc20,libreport-2.1.7-1.fc20,satyr-0.9-1.fc20
Comment 3 Fedora Update System 2013-09-13 13:29:46 EDT
Package gnome-abrt-0.3.1-1.fc20, abrt-2.1.7-1.fc20, libreport-2.1.7-1.fc20, satyr-0.9-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-abrt-0.3.1-1.fc20 abrt-2.1.7-1.fc20 libreport-2.1.7-1.fc20 satyr-0.9-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16663/gnome-abrt-0.3.1-1.fc20,abrt-2.1.7-1.fc20,libreport-2.1.7-1.fc20,satyr-0.9-1.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-09-22 19:50:12 EDT
gnome-abrt-0.3.1-1.fc20, abrt-2.1.7-1.fc20, libreport-2.1.7-1.fc20, satyr-0.9-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.